#!/usr/bin/env bash

repo_url=https://github.com/RPGillespie6/fastcov
# List of available versions:
# https://github.com/RPGillespie6/fastcov/releases
commit_sha1=40dffe81d62c0d897afe4108f3b5489487ff3bce  # version 1.14
files_to_download=("fastcov.py" "LICENSE" "README.md")

script_dir="$(dirname "${BASH_SOURCE[0]}")"
source "$script_dir/../../scripts/github.sh"
github_download_files "$script_dir" "$repo_url" "$commit_sha1" "${files_to_download[@]}"
