package server

import (
	"asapo_broker/database"
	"net/http"
)

func routeGetSize(w http.ResponseWriter, r *http.Request) {
	keys := r.URL.Query()

	extraParam := database.ExtraParamSize{}
	incomplete := keys.Get("incomplete")
	if incomplete == "true" {
		extraParam.IncompleteDataset = true
		extraParam.IsDataset = true
	} else if incomplete == "false" {
		extraParam.IncompleteDataset = false
		extraParam.IsDataset = true
	} else if incomplete == "" {
		extraParam.IsDataset = false
	} else {
		http.Error(w, "Unexpected value of parameter incomplete: "+incomplete, http.StatusBadRequest)
		return
	}

	processRequest(w, r, "size", extraParam, false)
}
