package server

import (
	"asapo_broker/database"
	"encoding/json"
	"io/ioutil"
	"net/http"
)

func routeDeleteStream(w http.ResponseWriter, r *http.Request) {
	body, err := ioutil.ReadAll(r.Body)
	if err != nil {
		http.Error(w, err.Error(), http.StatusBadRequest)
		return
	}

	var extraParams database.ExtraParamDelete
	err = json.Unmarshal(body, &extraParams)
	if err != nil {
		http.Error(w, "failed to extract extra parameters: "+err.Error(), http.StatusBadRequest)
		return
	}

	processRequest(w, r, "delete_stream", extraParams, false)
}
