---
title: Version 21.09.0
author: Sergey Yakubov
author_title: DESY IT
tags: [release]
---

#Changelog for version 21.09.0

FEATURES
* Producer API: C client
* Introduce a token to send data in "raw" mode without LDAP authorization

IMPROVEMENTS
* Allow using ASAPO for commissioning beamtimes
* Implement token revocation
* New examples section on the website. [Check them out](/docs/cookbook/overview)!

BUG FIXES
* Consumer/Producer API: fixed bug with "_" in stream name

INTERNAL
* Improved authoriation service caching
* Added profiling for Go services
* Added metrics and alerts for asapo services
