LOCAL_MONGODB=~/asapo_mongodb   # path for the local folder where the mongodb data will be saved, used for the metadata and message control
LOCAL_INFLUXDB=~/asapo_influxdb # path for the local folder where the influxdb data will be saved, used for statistics and monitoring
LOCAL_DATAFOLDER=~/asapo_data   # path for the local data folder where the actual files will be saved
LOCAL_LOGSFOLDER=~/asapo_logs   # path for the local folder for the logs
docker run --name asapo -v ${LOCAL_MONGODB}:/var/lib/mongodb/ \
                        -v ${LOCAL_INFLUXDB}:/var/lib/influxdb/ \
                        -v ${LOCAL_DATAFOLDER}:/tmp/asapo/receiver/files/test_facility/gpfs/test/2019/data/ \
                        -v ${LOCAL_LOGSFOLDER}:/tmp/logs/ \
                        --network host gitlab.desy.de:5555/asapo/asapo/asapo-standalone:23.12.0-alpha
