#!/usr/bin/env bash

repo_url=https://github.com/eriwen/lcov-to-cobertura-xml
# List of available versions:
# https://github.com/eriwen/lcov-to-cobertura-xml/releases/
commit_sha1=18489f195e5389fca3fec53608a5503af759ee44  # version 2.0.2
files_to_download=("LICENSE" "README.md" "lcov_cobertura/lcov_cobertura.py")

script_dir="$(dirname "${BASH_SOURCE[0]}")"
source "$script_dir/../../scripts/github.sh"
github_download_files "$script_dir" "$repo_url" "$commit_sha1" "${files_to_download[@]}"
