---
title: ASAPO monitoring
---
Asapo monitoring is a web-serivce, that visualise data -flow in asapo. Service is available here: http://asap3-utl01:8400/tv/ and can be accessed within the DESY network. For standalone asapo service is available at host machine under the same address. Service shows parameters for selected beamtime and a given time period.

#### Total transfer speed and file rate
Transfer speed shows the data-transferred speed by consumer and producer. File transfer rate is given in files per second and given for consumer only.

![Docusaurus](/img/monitoring/transfer_speed.png)![Docusaurus](/img/monitoring/file_rate.png)

#### List of producers and consumers
Each created consumer and producer have a unique index. Lists of consumers and produces, that were active in selected period are given.

![Docusaurus](/img/monitoring/consumers_producers.png)

#### Pipeline topology
Each consumer and producer have an associated pipeline-step (Default if not given). Topology widget reconstruct connections between active consumers and producers based on pipeline-step and data-source names. In some cases produces for some of the active consumer are not known (most probable because they were active early than selected period). They are illustrated in the topology in Unknown pipeline step.

![Docusaurus](/img/monitoring/topology.png)

#### Groups ID
Each message in asapo have an internal  timestamp, shown, when it was arrived. Widget shown list of consumer groups and time-delay between message timestamp and time, when message was requested by consumer.

![Docusaurus](/img/monitoring/group_delay.png)
